<?php /*
//
// $Id: classification_value_list.tpl 495 2008-06-30 12:06:49Z glenn $
//
// (C) Copyright 1997-2006 by Open iT Inc, All rights reserved.
//
// This software may be used or copied only with the written permission of
// Open iT Inc or in accordance with the terms and conditions stipulated
// in the agreement under which this software has been supplied.
//
// This file is part of Open iT Resources.
//
// Created by: Glenn O Larsen <glenn.larsen@openit.com>
//
//
// ===========================================================================
//
// Description of file:
//
// This template file should list all classification values in a selection list.
//
///////////////////////////////////////////////////////////////////////////////*/ ?>

<script type="text/javascript">
<!--

// Option scroller
var Scroller = {

	// Variables
	object:null,
	timer:null,
	text:null,
	orginaltext:null,
	position:0,
	
	// Start function
	start:function(object) {
	
		// If we have an old object in scrolling list,
		// remove this one before we start a new one
		if (Scroller.object != null) {
			Scroller.stop();
		}
		
		// Start new scroller
		Scroller.object = object;
		Scroller.position = 0;
		Scroller.text = object.text.replace(/ /g, "_");
		Scroller.orginaltext = object.text;
		
		// Start loop
		Scroller.loop();
	},
		
	// Stop function
	stop:function(object) {
		Scroller.object.text = Scroller.orginaltext;
		Scroller.object = null;
		clearTimeout(Scroller.timer); 
	},
	
	// Loop function
	loop:function() {
		// If we don't have any element in the obj variable, stop..
		if (Scroller.object == null) return;
		
		// Find next position of the string
		Scroller.position++;
		if (Scroller.position > Scroller.text.length-1) Scroller.position = 0;
	
		// Set new text back to the object
		Scroller.object.text = Scroller.text.substr(Scroller.position);
	
		// Set the timer to repeat the function after 80 millis
		Scroller.timer = setTimeout("Scroller.loop()", 80);
	}
	
};

function toogleExtraScrollers() {
	var object = document.getElementById('classificationvalues');	
	if (object.className == "") {
		object.className = "extraScroller";
		return;
	}
	
	object.className = "";
}


// -->
</script>


<?php
// Print extra div for toggeling the overflow scrollbar only for IE
if (strstr($_SERVER["HTTP_USER_AGENT"], "MSIE")) {
?>
  <div id="extraScrollerController" name="extraScrollerController" onclick="toogleExtraScrollers()"><?= tt("completeselection_selection_toggle_scrollbar") ?></div>
<?php
}
?>

<label for="classificationvaluesList"><?= tt("global_valuesfrom", (isset($classificationName) ? $classificationName : null)) ?></label>
<div class="select_overflow_wrapper">
	<select size="<?= (count($classificationvalues) < 10) ? '10' : count($classificationvalues) ?>" <?php if ($classificationvalues == 0) { ?>style="width:300px;"<?php } ?> id="classificationvaluesList" size="10" name="classificationvaluesList" multiple="multiple">
	<?php foreach($classificationvalues as $classificationvalue) { ?>
		<option <?= (strlen($classificationvalue->getValue()) > 90) ? 'onmouseover="Scroller.start(this)" onmouseout="Scroller.stop(this)"' : '' ?> value="<?= $classificationvalue->classification->getUID() ?>-<?= $classificationvalue->getUID() ?>" <?php if ($classificationvalue->isSelected()) { ?>selected="selected"<?php } ?>><?= $classificationvalue->getValue() ?></option>
	<?php } ?>
	</select>
</div>
<div class="ctrl">


<?php
// TODO: Finish this one!
/*
<input value="" onKeyUp="filterg(this.value);" />
*/ ?>


	<a href="javascript: selectAll('classificationvaluesList'); sendClassificationValuesSelection();"><?= tt("global_selectall") ?></a>&nbsp;
	<a href="javascript: unSelectAll('classificationvaluesList'); sendClassificationValuesSelection();"><?= tt("global_deselectall") ?></a>
<?php if (isset($classification) && ($classification->isAnonymous()) && (isset($enablemasking) && $enablemasking)) { ?>
	<span class="item">
		<input type="checkbox" name="anonymous_<?= $classificationvalue->classification->getUID() ?>" <?php if ($selection->get("anonymous_", $classificationvalue->classification->getUID()) == 1) { ?>checked="checked"<?php } ?> value="1" onchange="setSelection(this);" id="check_use_anonymous_complete_selection" /><label for="check_use_anonymous_complete_selection"><?= tt("global_input_anonymous") ?></label><span class="tip" onmouseover="showHideDescription('anonymous_description', true);" onmouseout="showHideDescription('anonymous_description', false);">?<span class="tooltip_content" id="anonymous_description"><?= tt("global_anonymous_description") ?></span></span>
 	</span>
<?php } ?>
</div>
