
<div class="template_input_selection">
	<label for="list<?= $section->getUID() ?>"><?= tt("global_valuesfrom", $section->getValue()) ?></label>
	
<?php if ($section->max == 1) : ?>
  <div id="req_<?= $section->getId() ?>" class="<?= ($section->isSelectionValid()) ? 'required_valid' : 'required_invalid' ?>"><?= tt("global_input_valuesfrom_error_selectonevalue") ?></div>
<?php elseif ($section->min == 1) : ?>
  <div id="req_<?= $section->getId() ?>" class="<?= ($section->isSelectionValid()) ? 'required_valid' : 'required_invalid' ?>"><?= tt("global_input_valuesfrom_error_selectatleastonevalue") ?></div>
<?php endif; ?>

	<div class="select_overflow_wrapper">
		<select size="<?= (count($section->getClassificationValues()) < 13) ? '13' : count($section->getClassificationValues()) ?>" <?= ($section->max == -1 || $section->max >= 2) ? 'multiple="multiple"' : '' ?> name="list<?= $section->getUID() ?>" id="list<?= $section->getUID() ?>" onchange="sendSelections(this.name, '<?= $section->getId() ?>');">
<?php foreach($section->getClassificationValues() as $value) { ?>
			<option value="<?= $value->getUid() ?>" <?= ($value->isSelected()) ? ' selected="selected"' : '' ?>><?= $value->getValue() ?></option>
<?php } ?>
  		</select>
	</div>

	<div class="ctrl">
	
		<?php if ($section->max == -1 || $section->max >= 2) : ?>
			<a href="javascript: selectAll('list<?= $section->getUID() ?>'); sendSelections('list<?= $section->getUID() ?>', '<?= $section->getId() ?>');"><?= tt("global_selectall") ?></a>
		<?php endif; ?>
		
		<a href="javascript: unSelectAll('list<?= $section->getUID() ?>'); sendSelections('list<?= $section->getUID() ?>', '<?= $section->getId() ?>');"><?= tt("global_deselectall") ?></a>
		
		<?php if ($section->isAnonymous() && !$section->isUseAnonymous()) : ?>
			<input type="checkbox" <?php if ($selection->get("anonymous", $section->getId())) { ?>checked="checked"<?php } ?> name="anonymous<?= $section->getId() ?>" value="1" onchange="setSelection(this);" id="check_use_anonymous<?= $section->getId() ?>" /><label for="check_use_anonymous<?= $section->getId() ?>"><?= tt("global_input_anonymous") ?></label><span class="tip" onmouseover="showHideDescription('anonymous_description', true);" onmouseout="showHideDescription('anonymous_description', false);">?<span class="tooltip_content" id="anonymous_description"><?= tt("global_anonymous_description") ?></span></span>
		<?php endif; ?>
		
	</div>
	
</div>
