<fieldset id="measurements_type">
	<legend><?= tt("completeselection_presentation_table_header_measurementssection") ?></legend>

	<div class="field one">

		<div>
			<label for="table_filter"><?= tt("completeselection_presentation_table_header_displayfilter") ?></label>
			
			<?php
				$data = array(
					'0' 		=> tt("completeselection_presentation_table_show_all"),
					'top' 		=> tt("completeselection_presentation_table_show_top"),
					'threshold' => tt("completeselection_presentation_table_show_threshold")
				);
				echo html::select("table_filter", $data, null, "changeFilter(this);");
			?>
			
			<span id="table_filter_type_1" <?= ($selection->get('table_filter') != "0") ? 'style="display: none;"' : '' ?>>
				<?= html::checkbox("table_filter_0_subtotal", "true") ?>
				<label for="table_filter_0_subtotal"><?= tt("completeselection_presentation_table_show_all_subtotal") ?></label>
				
				<?= html::checkbox("table_filter_0_norowspan", "true") ?>
				<label for="table_filter_0_norowspan"><?= tt("completeselection_presentation_table_show_all_norowspan") ?></label>
			</span>

			<span id="table_filter_type_2" <?= ($selection->get('table_filter') != "top") ? 'style="display: none;"' : '' ?>>
				<?= html::text("table_filter_top_text") ?>
				
				<?= html::checkbox("table_filter_top_others", "true") ?>
				<label for="table_filter_top_others"><?= tt("completeselection_presentation_table_show_top_showothers") ?></label>
				
				<?= html::checkbox("table_filter_top_subtotal", "true") ?>
				<label for="table_filter_top_subtotal">
					<?= tt("completeselection_presentation_table_show_top_subtotal") ?>
				</label>
				
				<?= html::checkbox("table_filter_top_norowspan", "true") ?>
				<label for="table_filter_top_norowspan"><?= tt("completeselection_presentation_table_show_top_norowspan") ?></label>
			</span>

			<span id="table_filter_type_3" <?= ($selection->get('table_filter') != "threshold") ? 'style="display: none;"' : '' ?>>
				<?= html::checkbox("table_filter_threshold_others", "true") ?>
				<label for="table_filter_threshold_others"><?= tt("completeselection_presentation_table_show_threshold_showothers") ?></label>

				<?= html::checkbox("table_filter_threshold_subtotal", "true") ?>
				<label for="table_filter_threshold_subtotal"><?= tt("completeselection_presentation_table_show_threshold_subtotal") ?></label>

				<?= html::checkbox("table_filter_threshold_norowspan", "true") ?>
				<label for="table_filter_threshold_norowspan"><?= tt("completeselection_presentation_table_show_threshold_norowspan") ?></label>
			</span>

		</div>
	</div>


	<div class="field two">

		<div id="measurements_type_3" <?= ($selection->get('table_filter') != "threshold") ? 'style="display: none;"' : '' ?>>
			<table>
			<tr>
				<th><?= tt("completeselection_presentation_table_exclude") ?></th>
				<th><?= tt("completeselection_presentation_table_threshold") ?></th>
				<th></th>
				<th><?= tt("completeselection_presentation_table_label_sortby") ?></th>
				
			</tr>
<?php foreach($measurements as $measurement) { ?>
	<?php if ($measurement->isSelected()) { ?>
			<tr>
				<td>
					<?= html::checkbox("table_measurement_threshold_exclude_" . $measurement->getId(), "true") ?>			
				</td>
				<td>
				
					<?php
						$data = array(
							">"  => 'X &gt;',
							">=" => 'X &gt;=',
							"="  => 'X =',
							"<=" => 'X &lt;=',
							"<"  => 'X &lt;',
							"<>" => 'X &lt;&gt;'
						);
						echo html::select("table_measurement_threshold_type_" . $measurement->getId() , $data);
					?>
					
					<?= html::text("table_measurement_threshold_value_" . $measurement->getId(), "5") ?>
				</td>
				<td><?= $measurement->getValue() ?></td>
				<td>
					<?= html::radio("table_measurement_threshold_sort", $measurement->getId(), null, 'setSelection(this); verifySelection();') ?>
				</td>
			</tr>		
	<?php } ?>
<?php } ?>
			<tr>
				<td></td>
				<td></td>
				<td><em><?= tt("completeselection_presentation_table_alpha") ?></em></td>
				<td>
					<?= html::radio("table_measurement_threshold_sort", "AZ", null, 'setSelection(this); verifySelection();') ?>
					<!--
					TODO: FIX! 
					<input type="radio" name= value="AZ" <?php if ($selection->get('table_measurement_threshold_sort') == "" || $selection->get('table_measurement_threshold_sort') == "AZ") { ?>checked="checked"<?php } ?> onchange="setSelection(this);" onclick="setSelection(this);" />
					 -->
				</td>
			</tr>		
			</table>
		</div>





		<div id="measurements_type_2" <?= ($selection->get('table_filter') != "top") ? 'style="display: none;"' : '' ?>>
			<table>
			<tr>
				<th><?= tt("completeselection_presentation_table_exclude") ?></th>
				<th><?= tt("completeselection_presentation_table_topby") ?></th>
				<th><?= tt("completeselection_presentation_table_label_measurements") ?></th>
				<th><?= tt("completeselection_presentation_table_label_sortby") ?></th>
			</tr>
<?php foreach($measurements as $measurement) { ?>
	<?php if ($measurement->isSelected()) { ?>
			<tr>
				<td>
					<?= html::checkbox("table_measurement_top_exclude_" . $measurement->getId(), "true") ?>					
				</td>
				<td>
					<?= html::radio("table_measurement_top_rank" . $measurement->getId(), "true") ?>
				</td>
				<td>
					<?= $measurement->getValue() ?>
				</td>
				<td>
					<?= html::radio("table_measurement_top_sort" . $measurement->getId(), null, 'setSelection(this); verifySelection();') ?>
				</td>
			</tr>		
	<?php } ?>
<?php } ?>
			<tr>
				<td></td>
				<td></td>
				<td><em><?= tt("completeselection_presentation_table_alpha") ?></em></td>
				<td>
					<?= html::radio("table_measurement_top_sort", "AZ", null, 'setSelection(this); verifySelection();') ?>
					<!-- 
					<input type="radio" name="table_measurement_top_sort" value="AZ" <?php if ($selection->get('table_measurement_top_sort') == "" || $selection->get('table_measurement_top_sort') == "AZ") { ?>checked="checked"<?php } ?> onchange="setSelection(this);" onclick="setSelection(this);" />
					 -->
				</td>
			</tr>		
			</table>
		</div>





		<div id="measurements_type_1" <?php if ($selection->get('table_filter') != "0") { ?>style="display: none;"<?php } ?>>
			<table>
			<tr>
				<th><?= tt("completeselection_presentation_table_exclude") ?></th>
				<th><?= tt("completeselection_presentation_table_label_measurements") ?></th>
				<th><?= tt("completeselection_presentation_table_label_sortby") ?></th>
			</tr>
<?php foreach($measurements as $measurement) { ?>
	<?php if ($measurement->isSelected()) { ?>
			<tr>
				<td>
					<?= html::checkbox("table_measurement_0_exclude_" . $measurement->getId(), "true") ?>
				</td>
				<td>
					<?= $measurement->getValue() ?>
				</td>
				<td>
					<?= html::radio("table_measurement_0_sort", $measurement->getId(), null, 'setSelection(this); verifySelection();') ?>
				</td>
			</tr>		
	<?php } ?>
<?php } ?>
			<tr>
				<td></td>
				<td><em><?= tt("completeselection_presentation_table_label_alpha") ?></em></td>
				<td>
					<?= html::radio("table_measurement_0_sort", "AZ", null, 'setSelection(this); verifySelection();') ?>
					<!--
					TODO 
					<input type="radio" name="table_measurement_0_sort" value="AZ" <?php if ($selection->get('table_measurement_0_sort') == "" || $selection->get('table_measurement_0_sort') == "AZ") { ?>checked="checked"<?php } ?> onchange="setSelection(this);" onclick="setSelection(this);" />
					 -->
				</td>
			</tr>		
			</table>
		</div>


	</div>
</fieldset>



<script type="text/javascript">
<!--

function changeFilter(obj) {

	var type1 = document.getElementById("table_filter_type_1");
	var type2 = document.getElementById("table_filter_type_2");
	var type3 = document.getElementById("table_filter_type_3");

	var measurementsType1 = document.getElementById("measurements_type_1");
	var measurementsType2 = document.getElementById("measurements_type_2");
	var measurementsType3 = document.getElementById("measurements_type_3");

	if (obj.selectedIndex == 0) {
		type1.style.display = "inline";
		type2.style.display = "none";
		type3.style.display = "none";

		measurementsType1.style.display = "inline";
		measurementsType2.style.display = "none";
		measurementsType3.style.display = "none";
	} else if (obj.selectedIndex == 1) {
		type1.style.display = "none";
		type2.style.display = "inline";
		type3.style.display = "none";

		measurementsType1.style.display = "none";
		measurementsType2.style.display = "inline";
		measurementsType3.style.display = "none";
	} else {
		type1.style.display = "none";
		type2.style.display = "none";
		type3.style.display = "inline";

		measurementsType1.style.display = "none";
		measurementsType2.style.display = "none";
		measurementsType3.style.display = "inline";
	}

	setSelection(obj);

}

// -->

</script>
