<?php include "pages/header.tpl"; ?>
<?php include "components/template_selection/submenu.tpl"; ?>


<div id="content">
	<div id="spacer">
		<?php if (isset($showMissing) && $showMissing) { ?>
				<h2 id="error"><?= tt("global_input_changeyourselections") ?></h2>
				<p><?= tt("global_input_oneormoreinvalidselections") ?></p>
		<?php } else { ?>
				<h2 id="templateselection_variableselection"><?= tt("global_input_variableselection") ?></h2>
				<p><?= tt("global_input_doselections") ?></p>
		<?php } ?>
		
		<fieldset><legend><strong><img src="/gfx/icons/<?= $template->reportData["pres"] ?>24.png" /> “<?= $template->reportData["title"] ?>”</strong></legend>
		<?php foreach($template->getClassifications() as $key => $section) { ?>
			<?php if ($section->isAllowInput()) { ?>
				<div id="holder<?= $section->getUID() ?>">
				<?php include "components/template_selection/input.tpl"; ?>
				</div>
				<?php /* include file="components/template_selection/input.tpl" section="$section" id2="$template->getUid()" */ ?>
			<?php } ?>
		<?php } ?>
		
		</fieldset>
		<div class="clearer"></div>	
		
		
		<script type="text/javascript">
		<!--
		function sendSelections(name, id) {
			var selections = getSelectedValues(name);
			// Send selected values
			sendData('template_selection/post_input.php', 'refreshSelections', 'id', id, 'values', selections.join("|"));

			var requiredFlag = document.getElementById("req_"+id);
			if (requiredFlag) {
				if (selections != ""){
					requiredFlag.className = "required_valid";
				}else{
					requiredFlag.className = "required_invalid";
				}
			}
		}
		
		function refreshSelections(data) {
			var data = eval('(' + data + ')');
			for (var i=0; i<data.length; i++) {
				var list = document.getElementById("list" + data[i]);
				if (list) {
					refreshList(data[i]);
				}
			}			
		}
		
		function refreshList(id) {
			sendData('template_selection/get_data.php', 'refreshListReturn', 'id', id);
		}
		
		function refreshListReturn(data) {
			var data = eval('(' + data + ')');
			if (!data || !data["DATA"] || !data["ID"]) {
				alert("Error: 28723621");
				return;
			}
			
			var obj = document.getElementById("holder" + data["ID"]);
			obj.innerHTML = data["DATA"];
			//alert( data["DATA"] );
			
		}


		var posx=0;
		var posy=0;
		var offsetX=16
		var offsetY=16;
		var popUp = false;
		var ent = document.getElementById("tooltip");

		function mtrack(e){
			if (popUp) {
				if (!e) var e = window.event;
				if (e.pageX || e.pageY) {
					posx = e.pageX;
					posy = e.pageY;
				}
				else if (e.clientX || e.clientY) {
					posx = e.clientX + document.body.scrollLeft;
					posy = e.clientY + document.body.scrollTop;
				}
				ent.style.left = posx + offsetX + "px";
				ent.style.top = posy + offsetY + "px";
			}
		}

		function showHideDescription(id, visible) {

			var desc = document.getElementById(id);
			if (!desc) return;

			if (visible) {
				popUp = true;
				ent.innerHTML = desc.innerHTML;
			}else{
				popUp = false;
				ent.style.left = "-1000px" ;
				ent.style.top = "-1000px";
				ent.innerHTML = "";
			}
		}

		document.onmousemove = mtrack;


		
		// -->
		</script>
		
	</div>
</div>

<?php include "pages/footer.tpl"; ?>
