<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title><?= $HTML_TITLE ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?= $CHARSET ?>" />
	<link rel="stylesheet" type="text/css" href="/css/general.css" />
	<script type="text/javascript" src="/js/ajaxmanager.js"></script>
	<script type="text/javascript" src="/js/draganddrop.js"></script>
	<script type="text/javascript" src="/js/general.js"></script>
<?php if (isset($_GET["resize"])) { ?>
	<script type="text/javascript">
	<!--
	window.resizeTo(<?= $_GET["resize"] ?>);	
	//-->
	</script>
<?php } ?>
</head>

<body>

<div id="error_background"></div>
<div id="error_box"></div>
<div id="tooltip"></div>

<div id="wrapper">
	<div id="header">
		<div id="loggedinuser">
			<label><?= tt("global_loggedinas", $activeUser->getName()) ?></label>
			<input type="button" value="<?= tt("global_logout") ?>" onclick="top.location='/logout.php'" />
		</div>
		<div id="loading"></div>
		<h1 id="logo"><?= tt("global_openit_logo") ?></h1>
 		<ul id="level1">
 		<?php if (RealTime::isRealTimeEnabled() && ($activeUser->isAdmin() || $activeUser->isRealtimeUser())) { ?>
			<li <?= href_active("/dashboard/*") ?>><a href="/dashboard/" <?= href_active("/dashboard/*") ?>><?= tt("menu_dashboard") ?></a></li>
		<?php } ?>
 		<?php if ($activeUser->isAdmin() || $activeUser->isTemplateUser()) { ?>
			<li <?= href_active("/template_selection/*") ?>><a href="/template_selection/" <?= href_active("/template_selection/*") ?>><?= tt("menu_templateselection") ?></a></li>
		<?php } ?>
		<?php if ($activeUser->isAdmin() || $activeUser->isReportGeneratorUser()) { ?>
			<li <?= href_active("/complete_selection/*") ?>><a href="/complete_selection/" <?= href_active("/complete_selection/*") ?>><?= tt("menu_completeselection") ?></a></li>
		<?php } ?>
		<?php if ($activeUser->isAdmin() || $activeUser->isTemplateUser() || $activeUser->isReportGeneratorUser()) { ?>
			<li <?= href_active("/periodic_jobs/*") ?>><a href="/periodic_jobs/" <?= href_active("/periodic_jobs/*") ?>><?= tt("menu_periodicjobs") ?></a></li>
		<?php } ?>
		<?php if ($activeUser->isAdmin() || $activeUser->isViewUser() || $activeUser->isTemplateUser() || $activeUser->isReportGeneratorUser()) { ?>
			<li <?= href_active("/generated_reports/*") ?>><a href="/generated_reports/" <?= href_active("/generated_reports/*") ?>><?= tt("menu_generatedreports") ?></a></li>
		<?php } ?>
		<?php if ($activeUser->isAdmin()) { ?>
			<li <?= href_active("/access_control/*|/admin/*") ?>><a href="/access_control/" <?= href_active("/access_control/*|/admin/*") ?>><?= tt("menu_administration") ?></a></li>
		<?php } ?>
		</ul>
	</div>
