<?php include "pages/header.tpl"; ?>

<div id="content" class="dashboard">
<div id="spacer">
<h2 id="realtime_header"><?= tt("menu_dashboard_license") ?></h2>

<form action="post_action.php" method="post">


<div
	style="float: left; width: 17em; margin-right: 1em; position: relative;">
<fieldset class="filters" id="realtime_filter"
	style="padding: 0 0 0 1em"><legend><?= tt("dashboard_license_legend_filtering") ?></legend>
<ol>

	<li><label for="realtime_products_list">Products</label> <span
		class="formfield_control" id="realtime_products_list_outer">
<?php
$type = "products";
$list = $realtime->getProducts();
include "components/realtime/value_list.php";
?>	
</span></li>

	<li><label for="realtime_features_list">Features</label> <span
		class="formfield_control" id="realtime_features_list_outer"> 		
<?php
$type = "features";
$list = $realtime->getFeatures();
include "components/realtime/value_list.php";
?>		
</span></li>


	<li><label for="realtime_users_list">Users</label> <span
		class="formfield_control" id="realtime_users_list_outer">
<?php
$type = "users";
$list = $realtime->getUsers();
include "components/realtime/value_list.php";
?>
</span></li>




<?php /*


	<li><label for="realtime_package_list">package</label> <span
		class="formfield_control">
		
		<select id="realtime_package_list" size="7" name="realtime_package_list" multiple="multiple">
< ?php
$classification = $realtime->getPackage();
$rtPaId = $classification->getUID();
include "components/realtime/value_list.php";
? >
	</select> </span></li>




	<li><label>Server Type</label><span class="formfield_control"><select
		size="3" id="realtime_servertype">
		<option>All</option>
		<option>Flex</option>
		<option>IBM/LUM</option>
	</select> </span></li>

*/ ?>

</ol>
</fieldset>
</div>

<div style="">



<fieldset><legend><?= tt("dashboard_license_legend_selections") ?></legend>

	<div style="float: left; margin-right: 20px;">
		<fieldset id="realtime_report_view" style="padding-bottom: 15px; width: 50px;">
		<legend><?= tt("dashboard_license_view") ?></legend>
		<span class="formfield_control">	
		<?php
			$measurements = array(
				"products" => "Products",
				"features" => "Features",
				"users" => "Users",
			);
			echo html::select("realtime_viewby", $measurements, "realtime_viewby", "setSelection(this); reloadUsage();");	
		?>
		</span>
		</fieldset>
	</div>
	
	<div style="float: left;">	
		<fieldset id="realtime_report_type" style="width: 210px;"><legend><?= tt("completeselection_presentation_chartheader_reporttype") ?></legend>
		<label for="presentation_type_chart"> 
			<?= html::radio("presentation_type", "chart", "presentation_type_chart", "setSelection(this); reloadUsage();") ?>
			<img src="/gfx/icons/bar24.png" border="0" /><?= tt("completeselection_presentation_label_chart") ?>
		</label>
		<label for="presentation_type_table">
			<?= html::radio("presentation_type", "table", "presentation_type_table", "setSelection(this); reloadUsage();") ?>	
			<img src="/gfx/icons/table24.png" border="0" /><?= tt("completeselection_presentation_label_table") ?>
		</label>
		</fieldset>
	</div>
</fieldset>


<fieldset><legend>License Usage</legend>

<div>
	<div style="float: right; margin-left: 10px;">
		<a href="javascript:reloadUsage()"><?= tt("dashboard_license_reload") ?></a>
	</div>	
	<div style="float: right;">
		<?= tt("dashboard_license_collection_time") ?>
		<span id="rtupdated"></span>
	</div>
</div>
<div style="clear: both"></div>

<div id="rtusage">
</div>	

</fieldset>

<?php /*
<fieldset><legend>Test Chart</legend>

<?php for ($i=0; $i<5; $i++) { ?>

	<div style="float: left;">
		<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" 
		width="200" height="200" id="ie_chart" align="middle">
			<param name="allowScriptAccess" value="sameDomain" />
			<param name="movie" value="/js/open-flash-chart.swf?data=%2Frealtime%2Fchart_data.php" />
			<param name="quality" value="high" />
			<param name="bgcolor" value="#FFFFFF" />
			<embed src="/js/open-flash-chart.swf?data=%2Frealtime%2Fchart_data.php" quality="high" bgcolor="#FFFFFF" width="200" height="200" name="chart" align="middle" allowScriptAccess="sameDomain" 
		type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" id="chart"/>
		</object>
	</div>

<?php } ?>
*/ ?>

</fieldset>



</div>

<div class="clearer"></div>
</form>
</div>
</div>

<script type="text/javascript">
<!--

function drillDown(type, name) {
	if (type == "products") gebi("realtime_viewby").selectedIndex = 1;
	else if (type == "features") gebi("realtime_viewby").selectedIndex = 2;
	sendData('dashboard/license/post_drilldown.php', 'postDone', 'type', type, 'name', name);
}


function reloadUsage() {
	sendData('dashboard/license/get_data.php', 'reloadUsageReturn');
}


function reloadUsageReturn(data) {

	// Data is returned as a JSON object - An eval will parse the object quickly
	var data = eval('(' + data + ')');

	gebi("rtusage").innerHTML = data["rtusage"];
	gebi("rtupdated").innerHTML = data["updated"];
}


function sendSelectedValue(list, type) {
	var values = Array();
	for (var i=0; i<list.options.length; i++) {
		if (list.options[i].selected) {
			values.push(list.options[i].value);
		}
	}
	
	// Send data
	sendData('dashboard/license/post_value.php', 'postDone', 'type', type, 'ids', escape(values.join("|")).replace("+", "%2B"));
}

function postDone() {	
	// Reload the selection lists
	sendData('dashboard/license/get_value.php', 'valueReturn');
	
	// Reload usage report
	reloadUsage();		
}


function valueReturn(data) {
	
	// Data is returned as a JSON object - An eval will parse the object quickly
	var data = eval('(' + data + ')');

	if (data["realtime_products_list_outer"]) {
		gebi("realtime_products_list_outer").innerHTML = data["realtime_products_list_outer"];
	}
	
	if (data["realtime_features_list_outer"]) {
		gebi("realtime_features_list_outer").innerHTML = data["realtime_features_list_outer"];
	}
	
	if (data["realtime_users_list_outer"]) {
		gebi("realtime_users_list_outer").innerHTML = data["realtime_users_list_outer"];
	}
	
	addLocalEvents();

}

function addLocalEvents() {
	// Add event hooks on the selection lists
	addEvent("realtime_products_list", "onchange", "sendSelectedValue(this, 'products');");
	addEvent("realtime_features_list", "onchange", "sendSelectedValue(this, 'features');");
	addEvent("realtime_users_list", "onchange", "sendSelectedValue(this, 'users');");
}

addLocalEvents();

// Get the chart when reloading the page..
reloadUsage();

//-->
</script>


<?php include "pages/footer.tpl"; ?>